Package org.eclipse.mat.snapshot.extension

## Interface IRequestDetailsResolver

All Known Implementing Classes:
  `JettyRequestResolver`, `JRubyScriptResolver`, `RubyStacktraceDumper`

    public interface IRequestDetailsResolver

The allows details about a local variable for a thread of a type understood by this resolver to be interpreted and attached to the thread description. The request might be a request into a web server, and the resolver could extract the URL etc. Implementations of this interface need to be registered using the `org.eclipse.mat.api.requestResolver` extension point. Implementations of this interface should be tagged with the `Subject` or `Subjects` annotation to specify the types of objects in the dump they describe.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `complement​(ISnapshot snapshot, IThreadInfo thread, int[] javaLocals, int thisJavaLocal, IProgressListener listener)` Add extra details

### Method Detail

#### complement

    void complement​(ISnapshot snapshot,
                    IThreadInfo thread,
                    int[] javaLocals,
                    int thisJavaLocal,
                    IProgressListener listener)
             throws SnapshotException

Add extra details

Parameters:
  `snapshot` - the whole dump
  `thread` - the thread processing the request
  `javaLocals` - all the local variables, as ids
  `thisJavaLocal` - this particular object, as an id
  `listener` - to show progress and log errors
Throws:
  `SnapshotException`